/* PipeChain Unicorn 2021 CSS
   - modernizing overrides of the classic style sheets.
   If you want to go back to the classic style just rename this style sheet.
*/

html, body {
    color: #212529;
}

body::after {
    background: url(https://pipechain.com/images/a/rails-1920x1080.jpg);
}

.navbar-default a {
    color: #212529;
}

.pch-main-navbar {
    margin-bottom: 10px;
    border-bottom: 1px solid #CED4DA;
    padding-bottom: 0;
    margin-left: -10px;
    margin-right: -10px;
    border-radius: unset;
    box-shadow: none;
    background-image: none;
    background-color: #F8F8F8;
    margin-top: -16px;
    height: 77px;
    z-index: 99;
}

.pch-main-menu {
    background-color: #F8F8F8;
}

.navbar-brand {
    float: left;
    padding: 0;
    height: 65px;
    padding-top: 8px;
}

.navbar-nav {
    margin: 0;
    background-color: transparent;
    white-space: nowrap;
    height: 76px;
}

.pch-main-navbar {
    margin-left: -10px;
    margin-right: -10px;
}

.navbar-collapse navbar-collapse--flex collapse in {
    border-color: #E9ECEF;
    background-color: #E9ECEF;
    margin-top: 4px;
}

.navbar-system li {
    font-size: 12px;
}

.navbar-default .navbar-nav > li > a {
    color: #212529;
    font-size: 95%;
}

.navbar-system .dropdown,
.navbar-primary .dropdown {
    /*margin-left: -6px;*/
}

.navbar-toggle {
    border: none;
}

.navbar-collapse.navbar-collapse--flex.collapse.in {
    padding-right: 0;
    padding-left: 0;
    background-color: #f8f8f8;
    width: 100vw;
    margin-right: 0;
    position: relative;
    top: 7px;
    left: -5px;
}

.navbar-default .navbar-toggle:hover,
.navbar-default .navbar-toggle:focus {
    background-color: #CED4DA;
}

.navbar-default .navbar-toggle .icon-bar {
    background-color: #01788C;
}

.caret {
    opacity: 0.8;
}

.pch-menu-icon {
    white-space: break-spaces;
}

.java-logo {
    height: 28px;
    width: auto;
    float: right;
}

label::-webkit-scrollbar { /* Force Chrome not to display scrollbars in labels in some cases */
    width: 0;
    height: 0;
}

.pch-login-view {
    background-image: url(https://pipechain.com/images/a/storage-1920x1080.png);
    background-position: top;
    background-size: cover;
    min-height: 100vh;
}

.pch-main-navbar .navbar-brand > img {
    padding-right: 10px;
}

.pch-psa-div {
    text-align: left;
    font-weight: 200;
    padding: 6px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100px;
    margin-top: 12px;
}

.copyright-message {
    background: white;
    padding: 10px;
    border-radius: 4px;
    opacity: 0.5;
}

.unicorn-footer {
    position: fixed;
    bottom: 0px;
    left: 0px;
    width: 100vw;
    height: 20px;
    color: #ADB5BD;
    border-top: 1px solid #DEE2E6;
}

.unicorn-footer a {
    color: #7474A8;
}

.unicorn-footer {
    background-color: #E9ECEF;
    position: fixed;
    bottom: 0px;
    left: 0px;
    width: 100vw;
    height: 20px;
    color: #ADB5BD;
    border-top: 1px solid #DEE2E6;
    opacity: 0.8;
}

.unicorn-footer a {
    color: #B9B9D3;
}

.table {
    margin-bottom: 0;
}

.panel {
    -webkit-box-shadow: none;
    box-shadow: none;
}

.panel-primary > .panel-body, .panel-primary > .modal-body {
    border: none;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
    border-color: #01788C;
}

.panel-primary > .panel-heading, .panel-primary > .modal-header {
    background-image: none;
    background-color: #01788C;
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
}

.modal-header {
    border: none;
    background-color: #01788C;
}

.panel-primary {
    border-color: #01788C;
}

.pch-row-marked {
    border: none;
}

.detailList-detail {
    border: 1px solid #01788C;
}

.pch-login-dialog > .panel-primary,
.pch-login-dialog > .panel-default {
    border: none;
}

.panel-primary,
.panel-default {
    -webkit-box-shadow: none;
    box-shadow: none;
}

.panel-footer {
    background-color: inherit;
    border-top: none;
}

.panel .pch-grid thead tr th:not(.dyn-col) {
    background: #318999;
    border: 0;
    box-shadow: none;
    text-shadow: none;
    text-align: left;
    vertical-align: middle;
    font-weight: normal;
}

.sidebar__expand {
    font-size: 17px;
}

label {
    font-weight: 400;
    color: #6E757C;
}

.pch-login-dialog > .panel-default > .panel-heading {
    display: none;
}

.pch-login-dialog > .panel-default,
.pch-login-dialog > .panel-primary {
    -webkit-box-shadow: none;
    box-shadow: none;
    border: none;
    background: none;
}

.pch-login-response,
.pch-login-copyright,
#footersection {
    color: #212529;
    white-space: nowrap;
    font-size: smaller;
}

.modal-content {
    background-color: #F8F8F8;
    border: 1px solid #01788C;
    border-radius: 6px;
    -webkit-box-shadow: none;
    box-shadow: none;
    background-clip: padding-box;
    outline: 0;
}

/* Site Selector */
#multisite_selector {
    margin-top: 6px;
    margin-left: 0;
    right: 16px;
}

#multisite_selector > div {
    margin-top: 3px;
    margin-right: -18px;
    margin-bottom: 1px;
    margin-left: 4px;
    padding-right: 4px;
    padding-left: 4px;
}

.site-select .input-group .form-control:first-child {
    border-bottom-right-radius: 4px;
    border-top-right-radius: 4px;
}

.site-select .input-group-addon, .site-select .input-group-btn {
    width: 0;
    display: none;
}

.form-control.pch-picker-readonly[readonly] {
    /* border: none;  1px solid rgba(184,184,210,0.5); */
    box-shadow: none;
}

.site-select .input-group {
    margin-bottom: -4px;
}

#multisite_selector > div > div > div .input-sm {
    color: #212529;
    height: 13px;
    border: none;
    font-size: 10px;
    padding: 2px;
    margin-bottom: 4px;
    background-color: transparent;
}

#multisite_selector > div > div > div {
    font-size: 10px;
    color: #6E757C;
    padding: 1px;
}

.site-selector-title {
    font-size: 10px;
    border-width: 1px;
    background-color: #DEE2E6;
    border-color: #f8f8f8;
    border-bottom-left-radius: 8px;
    border-top-left-radius: 8px;
    border-top-style: solid;
    border-bottom-style: solid;
    border-right-style: none;
    border-left-style: solid;
}

.site-selector-drop {
    border-width: 1px;
    background-color: #DEE2E6;
    border-color: #f8f8f8;
    border-top-style: solid;
    border-bottom-style: solid;
    border-right-style: solid;
    border-left-style: none;
    border-bottom-right-radius: 8px;
    border-top-right-radius: 8px;
}

.unicorn-message {
}

/* Modernized Buttons */

.btn-default,
.btn-primary,
.btn-success,
.btn-info,
.btn-warning,
.btn-danger {
    text-shadow: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    margin: 1px;
}

.btn-default:active,
.btn-primary:active,
.btn-success:active,
.btn-info:active,
.btn-warning:active,
.btn-danger:active,
.btn-default.active,
.btn-primary.active,
.btn-success.active,
.btn-info.active,
.btn-warning.active,
.btn-danger.active {
    -webkit-box-shadow: none;
    box-shadow: none;
}

.btn-default {
    background-repeat: no-repeat;
    text-shadow: none;
    border-color: #DEE2E6;
    background-color: #E9ECEF;
}

/* Adjustments of when each respective menu section is hidden */

@media (max-width: 1024px) {
    #multisite_selector {
        display: none;
    }

    .navbar-nav {
        margin-top: 3px;
    }

    .navbar-primary .dropdown {
        margin-top: -5px;
    }

    .navbar-nav > li > .dropdown-menu {
        margin-top: -6px;
    }
}

@media (max-width: 1366px) {
    .navbar-system {
        display: none;
    }
}

@media (max-width: 1440px) {
    .navbar-message {
        display: none;
    }
}

